Function Get-PSSerialNumber { 
    [CmdletBinding()]
    Param()

    Write-Verbose 'Récupération du numéro de série de la machine locale.'
    
    (Get-CIMInstance -ClassName Win32_Bios).SerialNumber 
} 

Function Get-PSFolderSize { 
    [CmdletBinding()]
    Param( 
        [ValidateScript({Test-Path $_})]
        [String]$Path
    )
    Write-Verbose 'Mesure de la taille du dossier en se basant sur la somme de tous les fichiers.'

    (Get-ChildItem -Path $Path -Recurse -File | ` 
    Measure-Object -Property Length -Sum ).Sum /1MB 
}

Set-Alias -Name gpsn -Value 'Get-PSSerialNumber' 
$ScriptAuthor = 'Nicolas Baudin' 

Export-ModuleMember -Function `  
    'Get-PSFolderSize','Get-PSSerialNumber' 
Export-ModuleMember -Variable 'ScriptAuthor' -Alias 'gpsn'
